module BaiduLBS::Geodata
  class GeoTable < BaiduLBS::Client
    class << self
      def create(params)
        post '/geodata/v3/geotable/create', params
      end

      def list
        get '/geodata/v3/geotable/list'
      end

      def detail(id)
        get '/geodata/v3/geotable/detail', id: id
      end

      def update(*id_or_params)
        if id_or_params.size == 1
          params = id_or_params[0]
        elsif id_or_params.size == 2
          params = id_or_params[1]
          params[:id] = id_or_params[0]
        end
        post '/geodata/v3/geotable/update', params
      end

      def delete(id)
        post '/geodata/v3/geotable/delete', id: id
      end
    end
  end
end
