module BaiduLBS::Geodata
  class Poi < BaiduLBS::Client
    class << self
      def create(params)
        post '/geodata/v3/poi/create', params
      end

      def list(params)
        get '/geodata/v3/poi/list', params
      end

      def detail(params)
        get '/geodata/v3/poi/detail', params
      end

      def update(params)
        post '/geodata/v3/poi/update', params
      end

      def delete(params)
        post '/geodata/v3/poi/delete', params
      end

      def upload(params)
        params[:poi_list] = Faraday::UploadIO.new(params[:poi_list], 'application/csv')
        post '/geodata/v3/poi/upload', params, multipart: true
      end
    end
  end
end
